## kf6-kwallet 6.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.12.0") # handled by release scripts
set(KF_DEP_VERSION "6.12.0") # handled by release scripts
project(KWallet VERSION ${KF_VERSION})
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

include(FeatureSummary)
find_package(ECM 6.12.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://invent.kde.org/frameworks/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

set(REQUIRED_QT_VERSION 6.6.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets DBus)

include(ECMAddQch)
include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMMarkNonGuiExecutable)

option(BUILD_KWALLETD "Build the kwallet daemon" ON)
option(BUILD_KWALLET_QUERY "Build kwallet-query tool" ON)
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

if(NOT WIN32 AND NOT APPLE AND NOT HAIKU)
    option(WITH_X11 "Build with support for KWindowSystem::isPlatformX11()" ON)
endif()

# kwalletd contains functions that are marked as deprecated.
# These are part of the public DBus API and are used by older applications
# Therefore we must not exclude those by default
set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WindowSystem ${KF_DEP_VERSION} REQUIRED)
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF6DocTools ${KF_DEP_VERSION})

ecm_set_disabled_deprecation_versions(
    QT 6.8.0
    KF 6.11.0
)

add_definitions(-DTRANSLATION_DOMAIN=\"kwalletd6\")
ki18n_install(po)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
    add_subdirectory(examples)
endif()
if (KF6DocTools_FOUND)
    add_subdirectory(docs)
endif()

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== examples/CMakeLists.txt ===
add_subdirectory(asynchronous_app)

=== src/runtime/kwalletd/CMakeLists.txt ===
configure_file(config-kwalletd.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kwalletd.h )

include(CheckSymbolExists)

check_symbol_exists(explicit_bzero "string.h" KWALLETD_HAVE_EXPLICIT_BZERO)
check_symbol_exists(RtlSecureZeroMemory "windows.h" KWALLETD_HAVE_RTLSECUREZEROMEMORY)

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui)

find_package(KF6ColorScheme ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6DBusAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Notifications ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WindowSystem ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Crash ${KF_DEP_VERSION} REQUIRED)

########### find needed packages ######
find_package(Gpgmepp 1.7.0) # provided by GpgME

if (Gpgmepp_FOUND)
    message("GPG support enabled")
    add_definitions(-DHAVE_GPGMEPP)
    add_definitions(-DBOOST_NO_EXCEPTIONS)
    include_directories(${GPGME_INCLUDES})
endif(Gpgmepp_FOUND)

find_package(Qca-qt6 REQUIRED 2.3.1)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
########### build backends #########
add_subdirectory(backend)
add_subdirectory(autotests)

########### kwalletd ###############

add_executable(kwalletd6)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/backend)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../api/KWallet)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../../api/KWallet)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

ecm_setup_version(${KF_VERSION} VARIABLE_PREFIX KWALLETD
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kwalletd_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6WalletConfigVersion.cmake"
                        SOVERSION 6)

target_sources(kwalletd6 PRIVATE
   main.cpp
   kbetterthankdialog.cpp
   kwalletd.cpp
   kwalletwizard.cpp
   ktimeout.cpp
   kwalletsessionstore.cpp
   kwalletfreedesktopservice.cpp
   kwalletfreedesktopsession.cpp
   kwalletfreedesktopcollection.cpp
   kwalletfreedesktopitem.cpp
   kwalletfreedesktopprompt.cpp
   kwalletfreedesktopattributes.cpp

   kwalletportalsecrets.cpp
)
ecm_qt_declare_logging_category(kwalletd6
    HEADER kwalletd_debug.h
    IDENTIFIER KWALLETD_LOG
    CATEGORY_NAME kf.wallet.kwalletd
    OLD_CATEGORY_NAMES kf5.kwallet.kwalletd
    DESCRIPTION "kwalletd"
    EXPORT KWALLET
)

ki18n_wrap_ui(kwalletd6
   kbetterthankdialogbase.ui
   kwalletwizardpageexplanation.ui
   kwalletwizardpageintro.ui
   kwalletwizardpageoptions.ui
   kwalletwizardpagepassword.ui
)

if (Gpgmepp_FOUND)
    target_sources(kwalletd6 PRIVATE
        knewwalletdialog.cpp
    )
    ki18n_wrap_ui(kwalletd6
        kwalletwizardpagepasswordgpg.ui
        kwalletwizardpagegpgkey.ui
        knewwalletdialogintro.ui
        knewwalletdialoggpg.ui
    )
endif(Gpgmepp_FOUND)

if (NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
    EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.72.0)
    set(kwallet_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.kde.KWallet.xml)
else()
    # copy of org.kde.KWallet.xml, but with all deprecated API removed
    set(kwallet_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.kde.KWallet.nodeprecated.xml)
endif()
set(fdo_service_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Service.xml)
set(fdo_session_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Session.xml)
set(fdo_collection_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Collection.xml)
set(fdo_item_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Item.xml)
set(fdo_prompt_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Prompt.xml)
set(fdo_portal_secret_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.impl.portal.Secret.xml)

set(kwalletd_dbus_SRCS)
qt_add_dbus_adaptor(kwalletd_dbus_SRCS ${kwallet_xml} kwalletd.h KWalletD kwalletadaptor KWalletAdaptor)
qt_add_dbus_adaptor(kwalletd_dbus_SRCS ${fdo_service_xml} kwalletfreedesktopservice.h KWalletFreedesktopService
    kwalletfreedesktopserviceadaptor KWalletFreedesktopServiceAdaptor)
qt_add_dbus_adaptor(kwalletd_dbus_SRCS ${fdo_session_xml} kwalletfreedesktopsession.h KWalletFreedesktopSession
    kwalletfreedesktopsessionadaptor KWalletFreedesktopSessionAdaptor)
qt_add_dbus_adaptor(kwalletd_dbus_SRCS ${fdo_collection_xml} kwalletfreedesktopcollection.h KWalletFreedesktopCollection
    kwalletfreedesktopcollectionadaptor KWalletFreedesktopCollectionAdaptor)
qt_add_dbus_adaptor(kwalletd_dbus_SRCS ${fdo_item_xml} kwalletfreedesktopitem.h KWalletFreedesktopItem
    kwalletfreedesktopitemadaptor KWalletFreedesktopItemAdaptor)
qt_add_dbus_adaptor(kwalletd_dbus_SRCS ${fdo_prompt_xml} kwalletfreedesktopprompt.h KWalletFreedesktopPrompt
    kwalletfreedesktoppromptadaptor KWalletFreedesktopPromptAdaptor)
qt_add_dbus_adaptor(kwalletd_dbus_SRCS ${fdo_portal_secret_xml} kwalletportalsecrets.h KWalletPortalSecrets
    kwalletportalsecretsadaptor KWalletPortalSecretsAdaptor)

target_sources(kwalletd6 PRIVATE
    ${kwalletd_dbus_SRCS}
)

if(WIN32)
    configure_file(org.kde.kwalletd5.service.win.in
                   ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kwalletd5.service)
    configure_file(org.kde.kwalletd6.service.win.in
                   ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kwalletd6.service)
else()
    configure_file(org.kde.kwalletd5.service.in
                   ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kwalletd5.service)
    configure_file(org.kde.kwalletd6.service.in
                   ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kwalletd6.service)
endif()

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kwalletd5.service
        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kwalletd6.service
    DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR}
)

if (HAIKU)
    target_link_libraries(kwalletd6 network)
endif ()

target_link_libraries(kwalletd6
    KF6WalletBackend
    KF6Wallet
    Qt6::Widgets
    KF6::I18n
    KF6::ColorScheme
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::DBusAddons
    KF6::WidgetsAddons
    KF6::WindowSystem
    KF6::Notifications
    KF6::Crash
    ${Qca_LIBRARY})
if (Gpgmepp_FOUND)
    target_link_libraries(kwalletd6 Gpgmepp)
    kde_target_enable_exceptions(kwalletd6 PRIVATE)
endif(Gpgmepp_FOUND)

ecm_mark_nongui_executable(kwalletd6)
install(TARGETS kwalletd6  ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############
install( FILES kwalletd6.notifyrc DESTINATION  ${KDE_INSTALL_KNOTIFYRCDIR} )
install( FILES org.kde.kwalletd6.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
install( FILES kwallet.portal DESTINATION ${KDE_INSTALL_DATADIR}/xdg-desktop-portal/portals)

=== src/runtime/kwalletd/autotests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

find_package(Qt6Test REQUIRED)
find_package(KF6Config ${KF6_DEP_VERSION} REQUIRED)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

include(ECMAddTests)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/..)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../backend)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../backend)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../../api/KWallet)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../api/KWallet)

add_definitions(-DFDO_ENABLE_DUMMY_MESSAGE_CONNECTION)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

if (NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
    EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.72.0)
    set(kwallet_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.kde.KWallet.xml)
else()
    # copy of org.kde.KWallet.xml, but with all deprecated API removed
    set(kwallet_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.kde.KWallet.nodeprecated.xml)
endif()
set(fdo_service_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Service.xml)
set(fdo_session_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Session.xml)
set(fdo_collection_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Collection.xml)
set(fdo_item_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Item.xml)
set(fdo_prompt_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.freedesktop.Secrets.Prompt.xml)

set(TEST_SRC
    fdo_secrets_test.cpp
    ../kwalletfreedesktopservice.cpp
    ../kwalletfreedesktopitem.cpp
    ../kwalletfreedesktopcollection.cpp
    ../kwalletfreedesktopsession.cpp
    ../kwalletfreedesktopprompt.cpp
    ../kwalletfreedesktopattributes.cpp
)

qt_add_dbus_adaptor( TEST_SRC ${kwallet_xml} ../kwalletd.h KWalletD kwalletadaptor KWalletAdaptor)
qt_add_dbus_adaptor( TEST_SRC ${fdo_service_xml} ../kwalletfreedesktopservice.h KWalletFreedesktopService
    kwalletfreedesktopserviceadaptor KWalletFreedesktopServiceAdaptor)
qt_add_dbus_adaptor( TEST_SRC ${fdo_session_xml} ../kwalletfreedesktopsession.h KWalletFreedesktopSession
    kwalletfreedesktopsessionadaptor KWalletFreedesktopSessionAdaptor)
qt_add_dbus_adaptor( TEST_SRC ${fdo_collection_xml} ../kwalletfreedesktopcollection.h KWalletFreedesktopCollection
    kwalletfreedesktopcollectionadaptor KWalletFreedesktopCollectionAdaptor)
qt_add_dbus_adaptor( TEST_SRC ${fdo_item_xml} ../kwalletfreedesktopitem.h KWalletFreedesktopItem
    kwalletfreedesktopitemadaptor KWalletFreedesktopItemAdaptor)
qt_add_dbus_adaptor( TEST_SRC ${fdo_prompt_xml} ../kwalletfreedesktopprompt.h KWalletFreedesktopPrompt
    kwalletfreedesktoppromptadaptor KWalletFreedesktopPromptAdaptor)

ecm_add_test(
    ${TEST_SRC}
    ../kwalletfreedesktopservice.h
    ../kwalletfreedesktopcollection.h
    ../kwalletfreedesktopitem.h
    ../kwalletfreedesktopsession.h
    ../kwalletfreedesktopprompt.h
    ../kwalletd.h
    ../ktimeout.h
    kwalletfreedesktopserviceadaptor.cpp
    kwalletfreedesktopcollectionadaptor.cpp
    kwalletfreedesktopitemadaptor.cpp
    kwalletfreedesktopsessionadaptor.cpp
    kwalletfreedesktoppromptadaptor.cpp
    TEST_NAME fdo_secrets_test
    LINK_LIBRARIES
        KF6Wallet
        KF6WalletBackend
        Qt6::Widgets
        Qt6::Test
        KF6::DBusAddons
        KF6::ConfigCore
        ${Qca_LIBRARY}
)

## kf6-kwallet 6.3.0

=== debian/changelog ===
kf6-kwallet (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Disable tests.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Fix link to libKF6WalletBackend.so.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:58:53 +0200

kf6-kwallet (6.0.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename libkf6wallet-bin to kwallet6.

 -- Patrick Franz <deltaone@debian.org>  Wed, 29 May 2024 18:51:33 +0200

kf6-kwallet (6.0.0-2) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 17 May 2024 07:44:09 +0200

kf6-kwallet (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.

  [ Aurélien COUDERC ]
  * Build against Qt6.
  * Add breaks/replaces against libkf5wallet-bin containing the KF5 version of
    the daemon.
  * Improve package descriptions.
  * Review copyright information.
  * Migrate debian/watch to version 4.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 08 May 2024 22:13:20 +0200

kwallet-kf5 (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Enable LTO (Closes: #1015465).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:03:48 +0100

kwallet-kf5 (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:42 +0200

kwallet-kf5 (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:00 +0100

kwallet-kf5 (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:30 +0100

kwallet-kf5 (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:08 +0100

kwallet-kf5 (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:33 +0100

kwallet-kf5 (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0). (Closes: #1018909)
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:04 +0100

kwallet-kf5 (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0). (Closes: #1012529)
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:47 +0200

kwallet-kf5 (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0). (Closes: #910782)
  * Add build dependency to libqca-qt5-2-plugins for unit tests.
  * Update symbols from build for 5.97.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:38 +0200

kwallet-kf5 (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:07 +0200

kwallet-kf5 (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:06 +0200

kwallet-kf5 (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:47 +0200

kwallet-kf5 (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update list of installed files.
  * Add lintian override for libkf5wallet5 recommending libkf5wallet-bin.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:44 +0100

kwallet-kf5 (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:42 +0900

kwallet-kf5 (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 11:01:30 +0900

kwallet-kf5 (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:49 +0900

kwallet-kf5 (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:06:06 +0900

kwallet-kf5 (5.83.0-2) unstable; urgency=medium



=== debian/control ===
Source: kf6-kwallet
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               libgcrypt20-dev (>= 1.5.0~),
               libgpgme-dev | libgpgme11-dev,
               libkf6colorscheme-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6dbusaddons-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6notifications-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6windowsystem-dev (>= 6.3.0~),
               libqca-qt6-dev (>= 2.3.1~),
               libqca-qt6-plugins <!nocheck>,
               libqt6sql6-sqlite <!nocheck>,
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kwallet
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kwallet
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kwallet.git
Rules-Requires-Root: no

Package: kwallet6
Architecture: any
Depends: libkf6wallet-data (= ${source:Version}),
         libkf6walletbackend6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5wallet-bin (<< 5.115.0-3~), libkf6wallet-bin,
Replaces: libkf5wallet-bin (<< 5.115.0-3~), libkf6wallet-bin,
Description: safe desktop-wide storage for passwords - kwalletd daemon
 This framework contains two main components:
 - Interface to KWallet, the safe desktop-wide storage for
   passwords on KDE work spaces.
 - The kwalletd used to safely store the passwords on KDE work spaces.
 .
 This package contains the kwalletd runtime daemon.

Package: libkf6wallet-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: safe desktop-wide storage for passwords - data files
 This framework contains two main components:
 - Interface to KWallet, the safe desktop-wide storage for
   passwords on KDE work spaces.
 - The kwalletd used to safely store the passwords on KDE work spaces.
 .
 This package contains the translation files for the KWallet framework.

Package: libkf6wallet-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6colorscheme-dev (>= 6.3.0~),
         libkf6config-dev (>= 6.3.0~),
         libkf6coreaddons-dev (>= 6.3.0~),
         libkf6dbusaddons-dev (>= 6.3.0~),
         libkf6i18n-dev (>= 6.3.0~),
         libkf6notifications-dev (>= 6.3.0~),
         libkf6wallet6 (= ${binary:Version}),
         libkf6walletbackend6 (= ${binary:Version}),
         libkf6widgetsaddons-dev (>= 6.3.0~),
         libkf6windowsystem-dev (>= 6.3.0~),
         libqca-qt6-dev (>= 2.3.1~),
         qt6-base-dev (>= 6.5.0~),
         ${misc:Depends},
Recommends: libkf6wallet-doc (= ${source:Version}),
Description: safe desktop-wide storage for passwords - development files
 This framework contains two main components:
 - Interface to KWallet, the safe desktop-wide storage for
   passwords on KDE work spaces.
 - The kwalletd used to safely store the passwords on KDE work spaces.
 .
 This package contains the development files for the KWallet framework.

Package: libkf6wallet-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: safe desktop-wide storage for passwords - developer documentation
 This framework contains two main components:
 - Interface to KWallet, the safe desktop-wide storage for
   passwords on KDE work spaces.
 - The kwalletd used to safely store the passwords on KDE work spaces.
 .
 This package contains the QCH developer documentation for the KWallet
 framework.

Package: libkf6wallet6
Architecture: any
Depends: libkf6wallet-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: safe desktop-wide storage for passwords - shared library
 This framework contains two main components:
 - Interface to KWallet, the safe desktop-wide storage for
   passwords on KDE work spaces.
 - The kwalletd used to safely store the passwords on KDE work spaces.
 .
 This package contains the shared library to interface with KWallet.

Package: libkf6walletbackend6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: safe desktop-wide storage for passwords - backend library
 This framework contains two main components:
 - Interface to KWallet, the safe desktop-wide storage for
   passwords on KDE work spaces.
 - The kwalletd used to safely store the passwords on KDE work spaces.
 .
 This package contains the library with the password storage backend
 implementation for the kwalletd daemon.

## kf6-kwallet 6.6.0

=== debian/changelog ===
kf6-kwallet (6.6.0-1deepin2) unstable; urgency=medium

  * update Breals Re;aces libkf5wallet.

 -- lichenggang <lichenggang@deepin.org>  Tue, 01 Apr 2025 16:13:42 +0800

kf6-kwallet (6.6.0-1deepin1) unstable; urgency=medium

  * update Breaks Replaces libkf5wallet-bin.

 -- lichenggang <lichenggang@deepin.org>  Sat, 23 Nov 2024 14:14:10 +0800

kf6-kwallet (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:12:37 +0200

kf6-kwallet (6.5.0-4) unstable; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds. (Closes: #1079279)

 -- Pino Toscano <pino@debian.org>  Thu, 22 Aug 2024 21:18:45 +0200

kf6-kwallet (6.5.0-3) unstable; urgency=medium

  * Team upload.
  * Fix the 'acc' autopkgtest:
    - set -std=c++17, needed when using Qt 6
    - set the right path to headers
  * CI: update/simplify configuration.

 -- Pino Toscano <pino@debian.org>  Mon, 19 Aug 2024 19:41:09 +0200

kf6-kwallet (6.5.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add breaks against libpam-kwallet5 << 6.0.0, kwallet6 breaks the opening
    of kwallet on login when using an older version.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 14 Aug 2024 22:09:08 +0200

kf6-kwallet (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Add kwallet6 to the dependencies declared in the symbols file of
    libkf6kwallet6 so that users of the library get the kwalle6 dependency
    automatically via ${shlibs:Depends}.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:09 +0200

kf6-kwallet (6.4.0-5) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 21 Jul 2024 06:07:30 +0200

kf6-kwallet (6.4.0-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 20 Jul 2024 16:17:58 +0200

kf6-kwallet (6.4.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 20 Jul 2024 14:31:13 +0200

kf6-kwallet (6.4.0-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add missing build dependency for GPGME.
  * Update symbols from build for GPGME.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 18:59:25 +0200

kf6-kwallet (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:46 +0200

=== debian/control ===
--- 
+++ 
@@ -9,18 +9,20 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libgpgme-dev | libgpgme11-dev,
-               libkf6colorscheme-dev (>= 6.3.0~),
-               libkf6config-dev (>= 6.3.0~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6dbusaddons-dev (>= 6.3.0~),
-               libkf6doctools-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6notifications-dev (>= 6.3.0~),
-               libkf6widgetsaddons-dev (>= 6.3.0~),
-               libkf6windowsystem-dev (>= 6.3.0~),
+               libgpgmepp-dev (>= 1.7.0~),
+               libkf6colorscheme-dev (>= 6.6.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6crash-dev (>= 6.6.0~),
+               libkf6dbusaddons-dev (>= 6.6.0~),
+               libkf6doctools-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6notifications-dev (>= 6.6.0~),
+               libkf6widgetsaddons-dev (>= 6.6.0~),
+               libkf6windowsystem-dev (>= 6.6.0~),
                libqca-qt6-dev (>= 2.3.1~),
                libqca-qt6-plugins <!nocheck>,
                libqt6sql6-sqlite <!nocheck>,
@@ -39,8 +41,10 @@
          libkf6walletbackend6 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: libkf5wallet-bin (<< 5.115.0-3~), libkf6wallet-bin,
-Replaces: libkf5wallet-bin (<< 5.115.0-3~), libkf6wallet-bin,
+Breaks: libkf5wallet-bin (<< 5.103.0-1deepin1~),
+        libkf6wallet-bin,
+        libpam-kwallet5 (<< 6.0.0~),
+Replaces: libkf5wallet-bin (<< 5.103.0-1deepin1~), libkf6wallet-bin,
 Description: safe desktop-wide storage for passwords - kwalletd daemon
  This framework contains two main components:
  - Interface to KWallet, the safe desktop-wide storage for
@@ -65,16 +69,16 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6colorscheme-dev (>= 6.3.0~),
-         libkf6config-dev (>= 6.3.0~),
-         libkf6coreaddons-dev (>= 6.3.0~),
-         libkf6dbusaddons-dev (>= 6.3.0~),
-         libkf6i18n-dev (>= 6.3.0~),
-         libkf6notifications-dev (>= 6.3.0~),
+Depends: libkf6colorscheme-dev (>= 6.6.0~),
+         libkf6config-dev (>= 6.6.0~),
+         libkf6coreaddons-dev (>= 6.6.0~),
+         libkf6dbusaddons-dev (>= 6.6.0~),
+         libkf6i18n-dev (>= 6.6.0~),
+         libkf6notifications-dev (>= 6.6.0~),
          libkf6wallet6 (= ${binary:Version}),
          libkf6walletbackend6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.3.0~),
-         libkf6windowsystem-dev (>= 6.3.0~),
+         libkf6widgetsaddons-dev (>= 6.6.0~),
+         libkf6windowsystem-dev (>= 6.6.0~),
          libqca-qt6-dev (>= 2.3.1~),
          qt6-base-dev (>= 6.5.0~),
          ${misc:Depends},

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
  https://download.kde.org/stable/frameworks/([\d.]+)/kwallet-@ANY_VERSION@@ARCHIVE_EXT@

## kf6-kwallet 6.9.0

=== debian/changelog ===
kf6-kwallet (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:49:30 +0000

kf6-kwallet (6.8.0-0ubuntu4) plucky; urgency=medium

  * Build with gpgme again.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2024 01:01:03 +0000

kf6-kwallet (6.8.0-0ubuntu3) plucky; urgency=medium

  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Nov 2024 16:55:52 +0000

kf6-kwallet (6.8.0-0ubuntu2) plucky; urgency=medium

  * Build without gpg until gpgme1.0 is migrateable.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Nov 2024 15:29:55 +0000

kf6-kwallet (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:39:05 +0000

kf6-kwallet (6.6.0-0ubuntu2) oracular; urgency=medium

  * Fix last upload with updates lost in git my merge.
    - New build dependency kcrash.

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Sep 2024 17:44:49 +0100

kf6-kwallet (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:08:15 +0100

kf6-kwallet (6.5.0-0ubuntu2) oracular; urgency=medium

  * Bring in changes from debian with Breaks/Replaces on
    libpam-kwallet5.

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 15 Aug 2024 04:18:12 -0700

kf6-kwallet (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:24:56 +0100

kf6-kwallet (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests
  * Update include path for acc autopkgtest /usr/include/KF5/KWallet/ ->
    /usr/include/KF6/KWallet/
  * Add build depend on libgpgmepp-dev (>= 1.7.0~)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:36:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kwallet
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -9,20 +10,20 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libgpgme-dev | libgpgme11-dev,
                libgpgmepp-dev (>= 1.7.0~),
-               libkf6colorscheme-dev (>= 6.6.0~),
-               libkf6config-dev (>= 6.6.0~),
-               libkf6coreaddons-dev (>= 6.6.0~),
-               libkf6crash-dev (>= 6.6.0~),
-               libkf6dbusaddons-dev (>= 6.6.0~),
-               libkf6doctools-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
-               libkf6notifications-dev (>= 6.6.0~),
-               libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkf6windowsystem-dev (>= 6.6.0~),
+               libkf6colorscheme-dev (>= 6.9.0~),
+               libkf6config-dev (>= 6.9.0~),
+               libkf6coreaddons-dev (>= 6.9.0~),
+               libkf6crash-dev (>= 6.9.0~),
+               libkf6dbusaddons-dev (>= 6.9.0~),
+               libkf6doctools-dev (>= 6.9.0~),
+               libkf6i18n-dev (>= 6.9.0~),
+               libkf6notifications-dev (>= 6.9.0~),
+               libkf6widgetsaddons-dev (>= 6.9.0~),
+               libkf6windowsystem-dev (>= 6.9.0~),
                libqca-qt6-dev (>= 2.3.1~),
                libqca-qt6-plugins <!nocheck>,
                libqt6sql6-sqlite <!nocheck>,
@@ -31,8 +32,8 @@
                qt6-declarative-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kwallet
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kwallet
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kwallet.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwallet
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwallet
 Rules-Requires-Root: no
 
 Package: kwallet6
@@ -41,10 +42,8 @@
          libkf6walletbackend6 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: libkf5wallet-bin (<< 5.103.0-1deepin1~),
-        libkf6wallet-bin,
-        libpam-kwallet5 (<< 6.0.0~),
-Replaces: libkf5wallet-bin (<< 5.103.0-1deepin1~), libkf6wallet-bin,
+Breaks: libkf5wallet-bin (<< 5.115.0-3~), libkf6wallet-bin,
+Replaces: libkf5wallet-bin (<< 5.115.0-3~), libkf6wallet-bin,
 Description: safe desktop-wide storage for passwords - kwalletd daemon
  This framework contains two main components:
  - Interface to KWallet, the safe desktop-wide storage for
@@ -69,16 +68,16 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6colorscheme-dev (>= 6.6.0~),
-         libkf6config-dev (>= 6.6.0~),
-         libkf6coreaddons-dev (>= 6.6.0~),
-         libkf6dbusaddons-dev (>= 6.6.0~),
-         libkf6i18n-dev (>= 6.6.0~),
-         libkf6notifications-dev (>= 6.6.0~),
+Depends: libkf6colorscheme-dev (>= 6.9.0~),
+         libkf6config-dev (>= 6.9.0~),
+         libkf6coreaddons-dev (>= 6.9.0~),
+         libkf6dbusaddons-dev (>= 6.9.0~),
+         libkf6i18n-dev (>= 6.9.0~),
+         libkf6notifications-dev (>= 6.9.0~),
          libkf6wallet6 (= ${binary:Version}),
          libkf6walletbackend6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.6.0~),
-         libkf6windowsystem-dev (>= 6.6.0~),
+         libkf6widgetsaddons-dev (>= 6.9.0~),
+         libkf6windowsystem-dev (>= 6.9.0~),
          libqca-qt6-dev (>= 2.3.1~),
          qt6-base-dev (>= 6.5.0~),
          ${misc:Depends},

## kf6-kwallet 6.10.0

=== debian/changelog ===
kf6-kwallet (6.10.0-1+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 6.5.0-4+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Fri, 13 Sep 2024 00:01:37 +0000]
  * Update symbols file for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 07 Feb 2025 04:50:54 +0000

kf6-kwallet (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:25:16 +0100

kf6-kwallet (6.8.0-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Mark kwallet6 as Multi-Arch: foreign. (Closes: #1080445)
  * Update symbols from buildds for 6.8.0.

 -- Sandro Knauß <hefee@debian.org>  Tue, 10 Dec 2024 22:38:14 +0100

kf6-kwallet (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.8.0.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:11:55 +0100

kf6-kwallet (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:28 -0600

=== debian/control ===
--- 
+++ 
@@ -1,48 +1,50 @@
 Source: kf6-kwallet
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.9.0~),
+               extra-cmake-modules (>= 6.10.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libgpgme-dev | libgpgme11-dev,
                libgpgmepp-dev (>= 1.7.0~),
-               libkf6colorscheme-dev (>= 6.9.0~),
-               libkf6config-dev (>= 6.9.0~),
-               libkf6coreaddons-dev (>= 6.9.0~),
-               libkf6crash-dev (>= 6.9.0~),
-               libkf6dbusaddons-dev (>= 6.9.0~),
-               libkf6doctools-dev (>= 6.9.0~),
-               libkf6i18n-dev (>= 6.9.0~),
-               libkf6notifications-dev (>= 6.9.0~),
-               libkf6widgetsaddons-dev (>= 6.9.0~),
-               libkf6windowsystem-dev (>= 6.9.0~),
+               libkf6colorscheme-dev (>= 6.10.0~),
+               libkf6config-dev (>= 6.10.0~),
+               libkf6coreaddons-dev (>= 6.10.0~),
+               libkf6crash-dev (>= 6.10.0~),
+               libkf6dbusaddons-dev (>= 6.10.0~),
+               libkf6doctools-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.10.0~),
+               libkf6notifications-dev (>= 6.10.0~),
+               libkf6widgetsaddons-dev (>= 6.10.0~),
+               libkf6windowsystem-dev (>= 6.10.0~),
                libqca-qt6-dev (>= 2.3.1~),
                libqca-qt6-plugins <!nocheck>,
                libqt6sql6-sqlite <!nocheck>,
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kwallet
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwallet
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwallet
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kwallet
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kwallet.git
 Rules-Requires-Root: no
 
 Package: kwallet6
 Architecture: any
+Multi-Arch: foreign
 Depends: libkf6wallet-data (= ${source:Version}),
          libkf6walletbackend6 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: libkf5wallet-bin (<< 5.115.0-3~), libkf6wallet-bin,
+Breaks: libkf5wallet-bin (<< 5.115.0-3~),
+        libkf6wallet-bin,
+        libpam-kwallet5 (<< 6.0.0~),
 Replaces: libkf5wallet-bin (<< 5.115.0-3~), libkf6wallet-bin,
 Description: safe desktop-wide storage for passwords - kwalletd daemon
  This framework contains two main components:
@@ -68,18 +70,18 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6colorscheme-dev (>= 6.9.0~),
-         libkf6config-dev (>= 6.9.0~),
-         libkf6coreaddons-dev (>= 6.9.0~),
-         libkf6dbusaddons-dev (>= 6.9.0~),
-         libkf6i18n-dev (>= 6.9.0~),
-         libkf6notifications-dev (>= 6.9.0~),
+Depends: libkf6colorscheme-dev (>= 6.10.0~),
+         libkf6config-dev (>= 6.10.0~),
+         libkf6coreaddons-dev (>= 6.10.0~),
+         libkf6dbusaddons-dev (>= 6.10.0~),
+         libkf6i18n-dev (>= 6.10.0~),
+         libkf6notifications-dev (>= 6.10.0~),
          libkf6wallet6 (= ${binary:Version}),
          libkf6walletbackend6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.9.0~),
-         libkf6windowsystem-dev (>= 6.9.0~),
+         libkf6widgetsaddons-dev (>= 6.10.0~),
+         libkf6windowsystem-dev (>= 6.10.0~),
          libqca-qt6-dev (>= 2.3.1~),
-         qt6-base-dev (>= 6.5.0~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6wallet-doc (= ${source:Version}),
 Description: safe desktop-wide storage for passwords - development files
@@ -106,10 +108,10 @@
 
 Package: libkf6wallet6
 Architecture: any
+Multi-Arch: same
 Depends: libkf6wallet-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Multi-Arch: same
 Description: safe desktop-wide storage for passwords - shared library
  This framework contains two main components:
  - Interface to KWallet, the safe desktop-wide storage for
@@ -120,8 +122,8 @@
 
 Package: libkf6walletbackend6
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Multi-Arch: same
 Description: safe desktop-wide storage for passwords - backend library
  This framework contains two main components:
  - Interface to KWallet, the safe desktop-wide storage for

## kf6-kwallet 6.11.0

=== debian/changelog ===
kf6-kwallet (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:24:09 +0100

=== debian/control ===
--- 
+++ 
@@ -9,20 +9,20 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libgpgme-dev | libgpgme11-dev,
                libgpgmepp-dev (>= 1.7.0~),
-               libkf6colorscheme-dev (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6crash-dev (>= 6.10.0~),
-               libkf6dbusaddons-dev (>= 6.10.0~),
-               libkf6doctools-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
-               libkf6notifications-dev (>= 6.10.0~),
-               libkf6widgetsaddons-dev (>= 6.10.0~),
-               libkf6windowsystem-dev (>= 6.10.0~),
+               libkf6colorscheme-dev (>= 6.11.0~),
+               libkf6config-dev (>= 6.11.0~),
+               libkf6coreaddons-dev (>= 6.11.0~),
+               libkf6crash-dev (>= 6.11.0~),
+               libkf6dbusaddons-dev (>= 6.11.0~),
+               libkf6doctools-dev (>= 6.11.0~),
+               libkf6i18n-dev (>= 6.11.0~),
+               libkf6notifications-dev (>= 6.11.0~),
+               libkf6widgetsaddons-dev (>= 6.11.0~),
+               libkf6windowsystem-dev (>= 6.11.0~),
                libqca-qt6-dev (>= 2.3.1~),
                libqca-qt6-plugins <!nocheck>,
                libqt6sql6-sqlite <!nocheck>,
@@ -70,16 +70,16 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6colorscheme-dev (>= 6.10.0~),
-         libkf6config-dev (>= 6.10.0~),
-         libkf6coreaddons-dev (>= 6.10.0~),
-         libkf6dbusaddons-dev (>= 6.10.0~),
-         libkf6i18n-dev (>= 6.10.0~),
-         libkf6notifications-dev (>= 6.10.0~),
+Depends: libkf6colorscheme-dev (>= 6.11.0~),
+         libkf6config-dev (>= 6.11.0~),
+         libkf6coreaddons-dev (>= 6.11.0~),
+         libkf6dbusaddons-dev (>= 6.11.0~),
+         libkf6i18n-dev (>= 6.11.0~),
+         libkf6notifications-dev (>= 6.11.0~),
          libkf6wallet6 (= ${binary:Version}),
          libkf6walletbackend6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.10.0~),
-         libkf6windowsystem-dev (>= 6.10.0~),
+         libkf6widgetsaddons-dev (>= 6.11.0~),
+         libkf6windowsystem-dev (>= 6.11.0~),
          libqca-qt6-dev (>= 2.3.1~),
          qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
